Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.bea.ld
Enum ExternalVariables.XmlData.SIMPLE_TYPE_ID

    java.lang.Object
      java.lang.Enum<ExternalVariables.XmlData.SIMPLE_TYPE_ID>
          com.bea.ld.ExternalVariables.XmlData.SIMPLE_TYPE_ID

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<ExternalVariables.XmlData.SIMPLE_TYPE_ID>

Enclosing class:
  ExternalVariables.XmlData

    public static enum ExternalVariables.XmlData.SIMPLE_TYPE_ID

extends java.lang.Enum<ExternalVariables.XmlData.SIMPLE_TYPE_ID>

Exclude:

Enum Constant Summary
`BIGINTEGER`
`BINARY`
`BOOLEAN`
`BYTE`
`CALENDAR`
`DECIMAL`
`DOUBLE`
`FLOAT`
`INT`
`JAVA_SQL_DATE`
`JAVA_SQL_TIME`
`JAVA_SQL_TIMESTAMP`
`JAVA_UTIL_DATE`
`LONG`
`SHORT`
`STRING`
`UNKNOWN`
`URI`

Method Summary
`static ExternalVariables.XmlData.SIMPLE_TYPE_ID` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ExternalVariables.XmlData.SIMPLE_TYPE_ID[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### BOOLEAN

    public static final ExternalVariables.XmlData.SIMPLE_TYPE_ID BOOLEAN

### BINARY

    public static final ExternalVariables.XmlData.SIMPLE_TYPE_ID BINARY

### BYTE

    public static final ExternalVariables.XmlData.SIMPLE_TYPE_ID BYTE

### JAVA_SQL_DATE

    public static final ExternalVariables.XmlData.SIMPLE_TYPE_ID JAVA_SQL_DATE

### JAVA_UTIL_DATE

    public static final ExternalVariables.XmlData.SIMPLE_TYPE_ID JAVA_UTIL_DATE

### JAVA_SQL_TIMESTAMP

    public static final ExternalVariables.XmlData.SIMPLE_TYPE_ID JAVA_SQL_TIMESTAMP

### CALENDAR

    public static final ExternalVariables.XmlData.SIMPLE_TYPE_ID CALENDAR

### DECIMAL

    public static final ExternalVariables.XmlData.SIMPLE_TYPE_ID DECIMAL

### DOUBLE

    public static final ExternalVariables.XmlData.SIMPLE_TYPE_ID DOUBLE

### FLOAT

    public static final ExternalVariables.XmlData.SIMPLE_TYPE_ID FLOAT

### INT

    public static final ExternalVariables.XmlData.SIMPLE_TYPE_ID INT

### BIGINTEGER

    public static final ExternalVariables.XmlData.SIMPLE_TYPE_ID BIGINTEGER

### LONG

    public static final ExternalVariables.XmlData.SIMPLE_TYPE_ID LONG

### SHORT

    public static final ExternalVariables.XmlData.SIMPLE_TYPE_ID SHORT

### STRING

    public static final ExternalVariables.XmlData.SIMPLE_TYPE_ID STRING

### JAVA_SQL_TIME

    public static final ExternalVariables.XmlData.SIMPLE_TYPE_ID JAVA_SQL_TIME

### URI

    public static final ExternalVariables.XmlData.SIMPLE_TYPE_ID URI

### UNKNOWN

    public static final ExternalVariables.XmlData.SIMPLE_TYPE_ID UNKNOWN

Method Detail

### values

    public static ExternalVariables.XmlData.SIMPLE_TYPE_ID[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (ExternalVariables.XmlData.SIMPLE_TYPE_ID c : ExternalVariables.XmlData.SIMPLE_TYPE_ID.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static ExternalVariables.XmlData.SIMPLE_TYPE_ID valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2009 Oracle. All Rights Reserved.